/*
 ******************************************************************************
 * Copyright (C) 2005-2014 Alfresco Software Limited.
 *
 * This file is part of the Alfresco Mobile SDK.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *****************************************************************************
 */

#import <Foundation/Foundation.h>

/**
 Constants representing properties on model objects, they take the form of:
 k<class-name>Property<property-name>
 */

extern NSString * const kAlfrescoPersonIdentifier;
extern NSString * const kAlfrescoPersonFirstName;
extern NSString * const kAlfrescoPersonLastName;
extern NSString * const kAlfrescoPersonAvatarIdentifier;
extern NSString * const kAlfrescoPersonJobTitle;
extern NSString * const kAlfrescoPersonLocation;
extern NSString * const kAlfrescoPersonSummary;
extern NSString * const kAlfrescoPersonTelephoneNumber;
extern NSString * const kAlfrescoPersonMobileNumber;
extern NSString * const kAlfrescoPersonEmail;
extern NSString * const kAlfrescoPersonSkypeId;
extern NSString * const kAlfrescoPersonInstantMessageId;
extern NSString * const kAlfrescoPersonGoogleId;
extern NSString * const kAlfrescoPersonStatus;
extern NSString * const kAlfrescoPersonStatusTime;
extern NSString * const kAlfrescoPersonCompany;

extern NSString * const kAlfrescoCompanyName;
extern NSString * const kAlfrescoCompanyAddressLine1;
extern NSString * const kAlfrescoCompanyAddressLine2;
extern NSString * const kAlfrescoCompanyAddressLine3;
extern NSString * const kAlfrescoCompanyPostCode;
extern NSString * const kAlfrescoCompanyTelephoneNumber;
extern NSString * const kAlfrescoCompanyFaxNumber;
extern NSString * const kAlfrescoCompanyEmail;

extern NSString * const kAlfrescoBaseConfigPropertyIdentifier;
extern NSString * const kAlfrescoBaseConfigPropertyLabel;
extern NSString * const kAlfrescoBaseConfigPropertySummary;

extern NSString * const kAlfrescoConfigInfoPropertySchemaVersion;

extern NSString * const kAlfrescoCreationConfigPropertyCreatableMimeTypes;
extern NSString * const kAlfrescoCreationConfigPropertyCreatableDocumentTypes;
extern NSString * const kAlfrescoCreationConfigPropertyCreatableFolderTypes;

extern NSString * const kAlfrescoFieldConfigPropertyModelIdentifier;

extern NSString * const kAlfrescoFieldConfigPropertyModelIdentifier;

extern NSString * const kAlfrescoFormConfigPropertyLayout;

extern NSString * const kAlfrescoGroupConfigPropertyItems;

extern NSString * const kAlfrescoItemConfigPropertyIconIdentifier;
extern NSString * const kAlfrescoItemConfigPropertyType;
extern NSString * const kAlfrescoItemConfigPropertyParameters;

extern NSString * const kAlfrescoProcessConfigPropertyIsVisible;

extern NSString * const kAlfrescoProfileConfigPropertyIsDefault;
extern NSString * const kAlfrescoProfileConfigPropertyRootViewId;

extern NSString * const kAlfrescoRepositoryConfigPropertyShareURL;
extern NSString * const kAlfrescoRepositoryConfigPropertyCMISURL;

extern NSString * const kAlfrescoSearchConfigPropertySearchableDocumentTypes;
extern NSString * const kAlfrescoSearchConfigPropertySearchableFolderTypes;

extern NSString * const kAlfrescoTaskConfigPropertyIsVisible;

extern NSString * const kAlfrescoViewConfigPropertyFormIdentifier;

extern NSString * const kAlfrescoWorkflowConfigPropertyProcessConfig;
extern NSString * const kAlfrescoWorkflowConfigPropertyTaskConfig;

extern NSString * const kAlfrescoModelDefinitionPropertyName;
extern NSString * const kAlfrescoModelDefinitionPropertyTitle;
extern NSString * const kAlfrescoModelDefinitionPropertySummary;
extern NSString * const kAlfrescoModelDefinitionPropertyParent;
extern NSString * const kAlfrescoModelDefinitionPropertyPropertyDefinitions;

extern NSString * const kAlfrescoNodeTypeDefinitionPropertyMandatoryAspects;

extern NSString * const kAlfrescoPropertyDefinitionPropertyName;
extern NSString * const kAlfrescoPropertyDefinitionPropertyTitle;
extern NSString * const kAlfrescoPropertyDefinitionPropertySummary;
extern NSString * const kAlfrescoPropertyDefinitionPropertyType;
extern NSString * const kAlfrescoPropertyDefinitionPropertyIsRequired;
extern NSString * const kAlfrescoPropertyDefinitionPropertyIsReadOnly;
extern NSString * const kAlfrescoPropertyDefinitionPropertyIsMultiValued;
extern NSString * const kAlfrescoPropertyDefinitionPropertyDefaultValue;
extern NSString * const kAlfrescoPropertyDefinitionPropertyAllowableValues;



